/*
 * IBM Confidential
 * 
 * OCO Source Materials
 * 
 * 5725A15
 * 
 *  Copyright IBM Corp. 2010
 * 
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
package com.ibm.casemgmt.sampexterndata.rest;

final class HTTPHeaderConstants 
{
	public static final String ACCEPT_LANGUAGE = "Accept-Language";
	public static final String AUTHORIZATION = "Authorization";
	public static final String COOKIE="Cookie";
	public static final String CONTENT_TYPE = "Content-Type";
	public static final String CONTENT_LENGTH="Content-Length";
	public static final String DATE="Date";
	public static final String IF_MODIFIED_SINCE = "If-Modified-Since";
	public static final String IF_NONE_MATCH = "If-None-Match";
	public static final String IF_MATCH = "If-Match";
	public static final String LOCATION = "Location";
	public static final String ETAG = "ETag";
	public static final String X_HTTP_METHOD_OVERRIDE="X-HTTP-Method-Override";
	public static final String ALLOW="Allow";
	
	// additional Status code that we need since the Servlet file 
	// that we're using is too old and do not have all defined.
	public static final int SC_NOT_ALLOWED = 405;
	
	public static final String VALUE_CONTENT_TYPE_JSON="application/json;charset=UTF-8";
	public static final String VALUE_AUTHORIZATION_BASIC="Basic ";
	
	private HTTPHeaderConstants() {}
}
